package com.ywt.outpatient.domain.models;

import java.util.Date;

/**
 * 线上问诊医生信息
 */
public class ConsultDoctorInfo {
    private Integer id;

    /**
     * 医生职称
     */
    private String title;

    /**
     * 医生擅长
     */
    private String specialty;

    /**
     * 医生简介
     */
    private String briefIntro;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 是否删除（标识物理删除）
     */
    private boolean isDeleted;

    /**
     * 医院Id, e.g. ,2,3,4,
     */
    private String hospitalIds;

    /**
     * 科室Id, e.g. ,2,3,
     */
    private String deptIds;

    /**
     * 医生出诊状态
     */
    private Integer scheduleStatus;

    /**
     * 医生状态（0-启用，1-禁用）
     */
    private Integer doctorStatus;

    /**
     * 真实姓名
     */
    private String realName;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 头像
     */
    private String avatar2;

    /**
     * 关联id，空表示无关联关系
     */
    private Integer unionId;

    /**
     * 关联状态
     */
    private Integer unionStatus;

    private Integer identity;
    private Boolean negReception;
    private String negReceptionHint;

    private int termianl;



    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSpecialty() {
        return specialty;
    }

    public void setSpecialty(String specialty) {
        this.specialty = specialty;
    }

    public String getBriefIntro() {
        return briefIntro;
    }

    public void setBriefIntro(String briefIntro) {
        this.briefIntro = briefIntro;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public boolean isDeleted() {
        return isDeleted;
    }

    public void setDeleted(boolean deleted) {
        isDeleted = deleted;
    }

    public String getHospitalIds() {
        return hospitalIds;
    }

    public void setHospitalIds(String hospitalIds) {
        this.hospitalIds = hospitalIds;
    }

    public String getDeptIds() {
        return deptIds;
    }

    public void setDeptIds(String deptIds) {
        this.deptIds = deptIds;
    }

    public Integer getScheduleStatus() {
        return scheduleStatus;
    }

    public void setScheduleStatus(Integer scheduleStatus) {
        this.scheduleStatus = scheduleStatus;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Integer getDoctorStatus() {
        return doctorStatus;
    }

    public void setDoctorStatus(Integer doctorStatus) {
        this.doctorStatus = doctorStatus;
    }

    public Integer getUnionId() {
        return unionId;
    }

    public void setUnionId(Integer unionId) {
        this.unionId = unionId;
    }

    public Integer getUnionStatus() {
        return unionStatus;
    }

    public void setUnionStatus(Integer unionStatus) {
        this.unionStatus = unionStatus;
    }

    public String getAvatar2() {
        return avatar2;
    }

    public void setAvatar2(String avatar2) {
        this.avatar2 = avatar2;
    }

    @Override
    public String toString() {
        return "ConsultDoctorInfo{" +
                "id=" + id +
                ", title='" + title + '\'' +
                ", specialty='" + specialty + '\'' +
                ", briefIntro='" + briefIntro + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", isDeleted=" + isDeleted +
                ", hospitalIds='" + hospitalIds + '\'' +
                ", deptIds='" + deptIds + '\'' +
                ", scheduleStatus=" + scheduleStatus +
                ", doctorStatus=" + doctorStatus +
                ", realName='" + realName + '\'' +
                ", avatar='" + avatar + '\'' +
                ", avatar2='" + avatar2 + '\'' +
                ", unionId=" + unionId +
                ", unionStatus=" + unionStatus +
                ", identity=" + identity +
                '}';
    }

    public Integer getIdentity() {
        return identity;
    }

    public void setIdentity(Integer identity) {
        this.identity = identity;
    }

    public Boolean getNegReception() {
        return negReception;
    }

    public void setNegReception(Boolean negReception) {
        this.negReception = negReception;
    }

    public String getNegReceptionHint() {
        return negReceptionHint;
    }

    public void setNegReceptionHint(String negReceptionHint) {
        this.negReceptionHint = negReceptionHint;
    }

    public int getTermianl() {
        return termianl;
    }

    public void setTermianl(int termianl) {
        this.termianl = termianl;
    }
}
